Name:          mda-lv2
Version:       1.2.10
Release:       %mkrel 2
Summary:       LV2 port of the MDA effects and synths
Group:         Sound/Midi
License:       GPLv3
URL:           https://drobilla.net/software/%{name}
Source0:       https://download.drobilla.net/%{name}-%{version}.tar.xz

BuildRequires: pkgconfig(lv2)
BuildRequires: lv2lint
BuildRequires: sord
BuildRequires: meson

%description
DA-LV2 is an LV2 port of the well-known VST MDA plugins by Paul Kellett. 
It contains 36 high-quality effects and instruments, with one of
the greatest virtual pianos among them.
The full documentation of the original VST's is here:
http://mda.smartelectronix.com/vst/help/index.htm

%prep
%autosetup 


%build
%meson -D tests=disabled
# tests require 'autoship', which is not packaged nor vendored in the project
%meson_build 

%install
%meson_install

%files
%doc NEWS README.md INSTALL.md
%{_libdir}/lv2/*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.2.10-2.mga10
+ Revision: 2216915
- Mageia 10 Mass Rebuild

* Thu Dec 22 2022 philippedidier <philippedidier> 1.2.10-1.mga9
+ Revision: 1925833
- new version 1.2.10 - built with meson - new BRs lv2lint and sord

* Fri Apr 01 2022 umeabot <umeabot> 1.2.4-3.mga9
+ Revision: 1838454
- Mageia 9 Mass Rebuild

* Sun Jul 05 2020 daviddavid <daviddavid> 1.2.4-2.mga8
+ Revision: 1602293
- compile with system waf (from archlinux)

* Sun Feb 23 2020 daviddavid <daviddavid> 1.2.4-1.mga8
+ Revision: 1549669
- new version: 1.2.4
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 1.2.2-3.mga7
+ Revision: 1299505
- Mageia 7 Mass Rebuild

* Sun Jan 28 2018 semiletov <semiletov> 1.2.2-2.mga7
+ Revision: 1197608
- the link to the online manual has been added

* Sun Jan 28 2018 semiletov <semiletov> 1.2.2-1.mga7
+ Revision: 1197596
- imported package mda-lv2

